;  MORSE.ASM
;  Source for Morse Code Key
;  by Benjamin Esham
;  <bdesham@iname.com>

#include "ti86asm.inc"

.org _asm_exec_ram

    nop
    jp ProgStart
    .dw 0
    .dw ShellTitle

ShellTitle:
    .db "Morse Code Key - B. Esham",0
    ; tell shells what the prog is

ProgStart:
    call _runindicoff ; turn off the run indicator
    call _clrScrn     ; clear the screen
    call _homeup      ; place the cursor at the top left
    ld hl,LineA       ; load the first line into hl
    call _puts        ; display the first line
    call _newline     ; goes to the next line
    ld hl,LineB
    call _puts
    call _newline
    ld hl,LineC
    call _puts
    call _newline
    ld hl,LineD
    call _puts
    call _newline
    ld hl,LineE
    call _puts
    call _newline
    ld hl,LineF
    call _puts
    call _newline
    ld hl,LineG
    call _puts
    call _newline
    call _pause       ; pause the display
    call _clrScrn     ; clear the screen
    
    ret               ; return

LineA:
    .db "A*-  B-***C-*-*D-**",0
LineB:
    .db "E*   F**-*G--* H****",0
LineC:
    .db "I**  J*---K-*- L*-**",0
LineD:
    .db "M--  N-*  O--- P*--*",0
LineE:
    .db "Q--*-R*-* S*** T-",0
LineF:
    .db "U**- V***-W*-- X-**-",0
LineG:
    .db "Y-*--Z--**",0

.end
